apiVersion: batch/v1
kind: CronJob
metadata:
  name: backup-nextcloud
spec:
  schedule: "28 */12 * * *" #  “At minute 28 past every 12th hour.” - https://crontab.guru
  concurrencyPolicy: Forbid
  jobTemplate:
    spec:
      backoffLimit: 1
      template:
        spec:
          containers:
          - name: backup-nextcloud
            image: 2tefan/borg-backup:0.4.0@sha256:3af9782895a2feeb1bfd229de53b19a221900ca3fd2227b955607c158573cf29
            imagePullPolicy: IfNotPresent
            command:
            - /bin/bash
            - -c
            - date; bash /bin/backup.sh
            env:
            - name: BORG_PASSPHRASE
              valueFrom:
                secretKeyRef:
                  name: backup
                  key: borg-repo
            volumeMounts:
            - name: input
              mountPath: /mnt/in
            - name: output
              mountPath: /mnt/out
            - name: backup-script
              mountPath: /bin/backup.sh
              subPath: backup.sh
              readOnly: true
          restartPolicy: Never
          volumes:
          - name: input
            persistentVolumeClaim:
              claimName: nextcloud
              readOnly: true
          - name: output
            persistentVolumeClaim:
              claimName: backup-nextcloud
          - name: backup-script
            configMap:
              name: backup-script

